using System;
using Infragistics.Windows.DataPresenter;

internal sealed class Delegate505 : MulticastDelegate
{
	public extern FieldSortDescriptionCollection Invoke(object object_0);

	public static FieldSortDescriptionCollection smethod_0(object object_0, Delegate505 delegate505_1)
	{
		return delegate505_1(object_0);
	}

	public extern Delegate505(object object_0, IntPtr intptr_0);

	static Delegate505()
	{
		Class10.smethod_13(typeof(Delegate505).TypeHandle);
	}

	internal static Delegate505 delegate505_0;
}
